## Pull Requests

Before submitting a pull request, please ensure to align with us as we need to establish both technical and business requirements.


### Do

- ...consider to fix bugs over adding features
- ...one pull request for one feature or improvement 
- ...consult us about implementation details
- ...proper testing before you submit your code
- ...resolve failed CI pipelines


### Don't

- ...introduce fundamental changes in terms of software architecture
- ...introduce OOP - we accept functional programming only
- ...ignore given requirements or try to work around them
- ...submit code to a development branch without consulting us
- ...submit massive amount of code changes
- ...submit a proof of concept
- ...submit code that is using undocumented and private APIs
- ...solve third party issues in our project
- ...comment what your code does - use proper naming instead
